[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# implicit(Cardinal):TUInt24Rec

Assign TUInt24Recfrom Cardinal

## Declaration

Source position: unicodedata.pas line 233

`class operator TUInt24Rec.implicit(Cardinal):TUInt24Rec(`
`a: Cardinal`
`):TUInt24Rec;`

## Arguments

`a` |  | Cardinal to assign from

## Function result

Resulting TUInt24Rec

## Description

Assign from cardinal, byte0 to MSB.

## Errors

If the value is too big (>$FFFFFF) to be assigned, an overflow error occurs.

## See also

TUInt24Rec.implicit(TUInt24Rec):Longint |  | Assign TUInt24Rec to longint
TUInt24Rec.implicit(TUInt24Rec):Word |  | Assign TUInt24Rec to word
TUInt24Rec.implicit(TUInt24Rec):Byte |  | Assign TUInt24Rec to byte
TUInt24Rec.implicit(Longint):TUInt24Rec
TUInt24Rec.implicit(Word):TUInt24Rec
TUInt24Rec.implicit(Byte):TUInt24Rec